--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: Symbol
includes: 
- !ruby/object:RI::IncludedModule 
  name: Sequel::SQL::QualifyingMethods
- !ruby/object:RI::IncludedModule 
  name: Sequel::SQL::IdentifierMethods
- !ruby/object:RI::IncludedModule 
  name: Sequel::SQL::AliasMethods
- !ruby/object:RI::IncludedModule 
  name: Sequel::SQL::CastMethods
- !ruby/object:RI::IncludedModule 
  name: Sequel::SQL::OrderMethods
- !ruby/object:RI::IncludedModule 
  name: Sequel::SQL::BooleanMethods
- !ruby/object:RI::IncludedModule 
  name: Sequel::SQL::NumericMethods
- !ruby/object:RI::IncludedModule 
  name: Sequel::SQL::StringMethods
- !ruby/object:RI::IncludedModule 
  name: Sequel::SQL::ComplexExpressionMethods
- !ruby/object:RI::IncludedModule 
  name: Sequel::SQL::InequalityMethods
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "*"
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: sql_function
- !ruby/object:RI::MethodSummary 
  name: to_column_ref
- !ruby/object:RI::MethodSummary 
  name: "|"
name: Symbol
superclass: Object
